Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008021TestLinkChartspublic2017-07-13 11:182017-08-14 15:33
ReporterKveldus 
Assigned Tofman 
PrioritylowSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformLinuxOSRed Hat Enterprise LinuxOS Version6.2
Product Version1.9.14 (2015 Q3) 
Fixed in Version1.9.17 (2017 Q2) 
Summary0008021: Warnings on every opening of Charts report: "E_WARNING imagettftext(): Could not find/open font..." for pChart.class
DescriptionWhen opening Charts report the following multiple events are logged in event viewer (referring to lines 3373 and 3362 only):
Log level WARNING
Timestamp 13/07/2017 13:56:05
Source GUI
Description E_WARNING imagettftext(): Could not find/open font - in /data/www/html/testlink/third_party/pchart/pChart/pChart.class - Line 3373

Log level WARNING
Timestamp 13/07/2017 13:56:05
Source GUI
Description E_WARNING imageftbbox(): Could not find/open font - in /data/www/html/testlink/third_party/pchart/pChart/pChart.class - Line 3362
Steps To Reproduce1. Open Testlink -> tab Reports in top menu bar
2. Click Charts in left frame - Charts report is displayed
3. Go to tab Events in top menu bar
4. Check warning events
Additional InformationChecked that fonts path is correctly set in config.inc.php:
$tlCfg->charts_font_path = TL_ABS_PATH . "third_party/pchart/Fonts/tahoma.ttf";

Just tried to modify the path for it to become incorrect (like .../tahoma.ttft) - in this case Charts report does not show any text, getting back default previous value - text in Charts report is displayed correctly, i.e. the default font path is correctly handled.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserChrome 59.0.3071.115
PHP Version5.4.34
TestCaseID
QA Team - Task Workflow StatusTBD
Attached Files

- Relationships
child of 0007817new Availables hot-fixes for 1.9.16 & How To get full fixed package from GitHub 

-  Notes
(0026609)
fman (administrator)
2017-07-13 19:57

what about permissions at OS level?
(0026674)
Kveldus (reporter)
2017-08-09 13:11

Hi!
Sorry for a delay with answer.
Permissions at OS level are default that were set with TestLink installation.
Didn't change those.
So fonts have 0664 permissions with the same owner/group used across whole TestLink.

Or do I understand something incorrectly in regards to your question?

Thanks,
Dmitri
(0026702)
fman (administrator)
2017-08-14 15:33

tested using latest code from github, on OSX, using MampPro (PHP 7.1.6), no issue

- Issue History
Date Modified Username Field Change
2017-07-13 11:18 Kveldus New Issue
2017-07-13 19:57 fman Note Added: 0026609
2017-08-09 13:11 Kveldus Note Added: 0026674
2017-08-14 15:33 fman Note Added: 0026702
2017-08-14 15:33 fman QA Team - Task Workflow Status => TBD
2017-08-14 15:33 fman Status new => resolved
2017-08-14 15:33 fman Fixed in Version => 1.9.17 (2017 Q2)
2017-08-14 15:33 fman Resolution open => fixed
2017-08-14 15:33 fman Assigned To => fman
2017-08-14 15:33 fman Relationship added child of 0007817



Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker